Skip to content

Create or update one language edition of a blog post (found by key, else slug).

PUT
/apps/blog/posts
curl --request PUT \
--url https://your-store.myciqra.com/apps/blog/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "bannerImage": { "mediaAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "url": "example" }, "body": "example", "categories": [ "example" ], "coverImage": { "mediaAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "url": "example" }, "excerpt": "example", "key": "example", "locale": "example", "metaDescription": "example", "metaTitle": "example", "publishedAt": "2026-04-15T12:00:00Z", "slug": "example", "status": "example", "tags": [ "example" ], "title": "example" }'

Required scope: write_blogs — an installation token without it receives 403.

Media typeapplication/json
object
bannerImage
One of:
null
body
null | string
categories
Array<string> | null
coverImage
One of:
null
excerpt
null | string
key
null | string
locale
null | string
metaDescription
null | string
metaTitle
null | string
publishedAt
null | string format: date-time
slug
required
null | string
status
null | string
tags
Array<string> | null
title
required
null | string
Examplegenerated
{
"bannerImage": {
"mediaAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"url": "example"
},
"body": "example",
"categories": [
"example"
],
"coverImage": {
"mediaAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"url": "example"
},
"excerpt": "example",
"key": "example",
"locale": "example",
"metaDescription": "example",
"metaTitle": "example",
"publishedAt": "2026-04-15T12:00:00Z",
"slug": "example",
"status": "example",
"tags": [
"example"
],
"title": "example"
}

OK

Media typeapplication/json
object
baseSlug
required
string
categoryIds
required
Array<string>
id
required
string format: uuid
locale
required
string
outcome
required
string
publishedAt
required
null | string format: date-time
slug
required
string
status
required
string
warnings
required
Array<string>
Examplegenerated
{
"baseSlug": "example",
"categoryIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"locale": "example",
"outcome": "example",
"publishedAt": "2026-04-15T12:00:00Z",
"slug": "example",
"status": "example",
"warnings": [
"example"
]
}

Created

Media typeapplication/json
object
baseSlug
required
string
categoryIds
required
Array<string>
id
required
string format: uuid
locale
required
string
outcome
required
string
publishedAt
required
null | string format: date-time
slug
required
string
status
required
string
warnings
required
Array<string>
Examplegenerated
{
"baseSlug": "example",
"categoryIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"locale": "example",
"outcome": "example",
"publishedAt": "2026-04-15T12:00:00Z",
"slug": "example",
"status": "example",
"warnings": [
"example"
]
}

Bad Request

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}

Conflict

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}